# SLOs

## Get All SLOs

> Returns all the SLOs of the passed owner\_id in the params.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLO":{"type":"object","required":["id","name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","allocated_error_budget","is_active","owner_type","owner_id","org_id"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"current_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"is_healthy":{"type":"boolean"},"remaining_error_budget":{"type":"number","format":"float"},"allocated_error_budget":{"type":"number","format":"float"},"is_active":{"type":"boolean"},"tags":{"anyOf":[{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},{"type":"null"}]},"incident_count":{"type":"integer"},"false_positive_count":{"type":"integer"},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},{"type":"null"}]},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"duration_in_days":{"type":"integer","format":"uint32"}}},"V3.SLO.TimeIntervalType":{"type":"string","enum":["fixed","rolling"]},"V3.SLO.SloMonitoringCheck":{"type":"object","required":["name","owner_type","owner_id"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"name":{"type":"string"},"threshold":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"is_checked":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloAction":{"type":"object","required":["type"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"type":{"$ref":"#/components/schemas/V3.SLO.SloActionType"},"user_id":{"type":"string"},"squad_id":{"type":"string"},"service_id":{"type":"string"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloActionType":{"type":"string","enum":["SERVICE","USER","SQUAD"]},"V3.SLO.SLOOwnerType":{"type":"string","enum":["user","squad"]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/slo":{"get":{"operationId":"SLO_getAllSLOs","summary":"Get All SLOs","description":"Returns all the SLOs of the passed owner_id in the params.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"meta":{"type":"object","properties":{"total":{"type":"integer"},"offset":{"type":"integer"},"limit":{"type":"integer"}},"required":["total","offset","limit"]},"slos":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SLO"}}},"required":["meta","slos"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"]}}}}
```

## Create SLO

> \- This API will create SLO.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLODetailedResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.SLO.SLO"}]},"V3.SLO.SLO":{"type":"object","required":["id","name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","allocated_error_budget","is_active","owner_type","owner_id","org_id"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"current_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"is_healthy":{"type":"boolean"},"remaining_error_budget":{"type":"number","format":"float"},"allocated_error_budget":{"type":"number","format":"float"},"is_active":{"type":"boolean"},"tags":{"anyOf":[{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},{"type":"null"}]},"incident_count":{"type":"integer"},"false_positive_count":{"type":"integer"},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},{"type":"null"}]},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"duration_in_days":{"type":"integer","format":"uint32"}}},"V3.SLO.TimeIntervalType":{"type":"string","enum":["fixed","rolling"]},"V3.SLO.SloMonitoringCheck":{"type":"object","required":["name","owner_type","owner_id"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"name":{"type":"string"},"threshold":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"is_checked":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloAction":{"type":"object","required":["type"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"type":{"$ref":"#/components/schemas/V3.SLO.SloActionType"},"user_id":{"type":"string"},"squad_id":{"type":"string"},"service_id":{"type":"string"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloActionType":{"type":"string","enum":["SERVICE","USER","SQUAD"]},"V3.SLO.SLOOwnerType":{"type":"string","enum":["user","squad"]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.SLO.CreateSLORequest":{"type":"object","required":["name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","duration_in_days","owner_type","owner_id","slo_owner_id","slo_owner_type"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"duration_in_days":{"type":"integer","format":"uint32"},"tags":{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"}}}}},"paths":{"/v3/slo":{"post":{"operationId":"SLO_createSLO","summary":"Create SLO","description":"- This API will create SLO.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slo":{"$ref":"#/components/schemas/V3.SLO.SLODetailedResponse"}},"required":["slo"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.SLO.CreateSLORequest"}}}}}}}}
```

## Get SLO By ID

> Returns a SLO details of the given \`sloID\` in the request param.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`read\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLOWithInsightsResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.SLO.SLOWithInsights"}]},"V3.SLO.SLOWithInsights":{"type":"object","required":["slo"],"properties":{"insights":{"type":"object","properties":{"error_budget_consumption_for_past_30days":{"type":"integer"}},"required":["error_budget_consumption_for_past_30days"]},"slo":{"$ref":"#/components/schemas/V3.SLO.SLO"}}},"V3.SLO.SLO":{"type":"object","required":["id","name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","allocated_error_budget","is_active","owner_type","owner_id","org_id"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"current_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"is_healthy":{"type":"boolean"},"remaining_error_budget":{"type":"number","format":"float"},"allocated_error_budget":{"type":"number","format":"float"},"is_active":{"type":"boolean"},"tags":{"anyOf":[{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},{"type":"null"}]},"incident_count":{"type":"integer"},"false_positive_count":{"type":"integer"},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},{"type":"null"}]},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"duration_in_days":{"type":"integer","format":"uint32"}}},"V3.SLO.TimeIntervalType":{"type":"string","enum":["fixed","rolling"]},"V3.SLO.SloMonitoringCheck":{"type":"object","required":["name","owner_type","owner_id"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"name":{"type":"string"},"threshold":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"is_checked":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloAction":{"type":"object","required":["type"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"type":{"$ref":"#/components/schemas/V3.SLO.SloActionType"},"user_id":{"type":"string"},"squad_id":{"type":"string"},"service_id":{"type":"string"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloActionType":{"type":"string","enum":["SERVICE","USER","SQUAD"]},"V3.SLO.SLOOwnerType":{"type":"string","enum":["user","squad"]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/slo/{sloID}":{"get":{"operationId":"SLO_getSLOById","summary":"Get SLO By ID","description":"Returns a SLO details of the given `sloID` in the request param.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `read` scope.","parameters":[{"name":"sloID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.SLO.SLOWithInsightsResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"]}}}}
```

## Update SLO

> \- This API will update SLO.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLODetailedResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.SLO.SLO"}]},"V3.SLO.SLO":{"type":"object","required":["id","name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","allocated_error_budget","is_active","owner_type","owner_id","org_id"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"current_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"is_healthy":{"type":"boolean"},"remaining_error_budget":{"type":"number","format":"float"},"allocated_error_budget":{"type":"number","format":"float"},"is_active":{"type":"boolean"},"tags":{"anyOf":[{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},{"type":"null"}]},"incident_count":{"type":"integer"},"false_positive_count":{"type":"integer"},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},{"type":"null"}]},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"duration_in_days":{"type":"integer","format":"uint32"}}},"V3.SLO.TimeIntervalType":{"type":"string","enum":["fixed","rolling"]},"V3.SLO.SloMonitoringCheck":{"type":"object","required":["name","owner_type","owner_id"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"name":{"type":"string"},"threshold":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"is_checked":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloAction":{"type":"object","required":["type"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"type":{"$ref":"#/components/schemas/V3.SLO.SloActionType"},"user_id":{"type":"string"},"squad_id":{"type":"string"},"service_id":{"type":"string"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloActionType":{"type":"string","enum":["SERVICE","USER","SQUAD"]},"V3.SLO.SLOOwnerType":{"type":"string","enum":["user","squad"]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.SLO.CreateSLORequest":{"type":"object","required":["name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","duration_in_days","owner_type","owner_id","slo_owner_id","slo_owner_type"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"duration_in_days":{"type":"integer","format":"uint32"},"tags":{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"}}}}},"paths":{"/v3/slo/{sloID}":{"put":{"operationId":"SLO_updateSLO","summary":"Update SLO","description":"- This API will update SLO.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"sloID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slo":{"$ref":"#/components/schemas/V3.SLO.SLODetailedResponse"}},"required":["slo"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.SLO.CreateSLORequest"}}}}}}}}
```

## Remove SLO

> Remove SLO from passed owner\_id (team\_id) in the params . Upon sccess the slo will be removed.\
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLOResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.SLO.SLO"}]},"V3.SLO.SLO":{"type":"object","required":["id","name","time_interval_type","service_ids","slis","target_slo","start_time","end_time","allocated_error_budget","is_active","owner_type","owner_id","org_id"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"time_interval_type":{"$ref":"#/components/schemas/V3.SLO.TimeIntervalType"},"service_ids":{"type":"array","items":{"type":"string"}},"slis":{"type":"array","items":{"type":"string"}},"target_slo":{"type":"number","format":"float"},"current_slo":{"type":"number","format":"float"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"is_healthy":{"type":"boolean"},"remaining_error_budget":{"type":"number","format":"float"},"allocated_error_budget":{"type":"number","format":"float"},"is_active":{"type":"boolean"},"tags":{"anyOf":[{"type":"object","unevaluatedProperties":{"anyOf":[{"type":"string"},{"type":"integer","format":"int32"},{"type":"boolean"},{"type":"null"}]}},{"type":"null"}]},"incident_count":{"type":"integer"},"false_positive_count":{"type":"integer"},"slo_monitoring_checks":{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloMonitoringCheck"}},"slo_actions":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.SLO.SloAction"}},{"type":"null"}]},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_owner_id":{"type":"string"},"slo_owner_type":{"$ref":"#/components/schemas/V3.SLO.SLOOwnerType"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"duration_in_days":{"type":"integer","format":"uint32"}}},"V3.SLO.TimeIntervalType":{"type":"string","enum":["fixed","rolling"]},"V3.SLO.SloMonitoringCheck":{"type":"object","required":["name","owner_type","owner_id"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"name":{"type":"string"},"threshold":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"is_checked":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloAction":{"type":"object","required":["type"],"properties":{"id":{"type":"integer"},"slo_id":{"type":"integer"},"type":{"$ref":"#/components/schemas/V3.SLO.SloActionType"},"user_id":{"type":"string"},"squad_id":{"type":"string"},"service_id":{"type":"string"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"V3.SLO.SloActionType":{"type":"string","enum":["SERVICE","USER","SQUAD"]},"V3.SLO.SLOOwnerType":{"type":"string","enum":["user","squad"]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/slo/{sloID}":{"delete":{"operationId":"SLO_removeSLO","summary":"Remove SLO","description":"Remove SLO from passed owner_id (team_id) in the params . Upon sccess the slo will be removed.\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"sloID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.SLO.SLOResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"]}}}}
```

## Mark SLO Affected

> This endpoint is used for mark slo affected.\
> \
> Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header with \`user-write\` scope.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLOViolatingIncidentResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.SLO.SLOViolatingIncident"}]},"V3.SLO.SLOViolatingIncident":{"type":"object","required":["id","owner_type","owner_id","org_id","slo_id","incident_id","slis","error_budget_spent","is_false_positive","start_time","end_time","created_at","updated_at","deleted_at"],"properties":{"id":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_id":{"type":"integer"},"incident_id":{"type":"string"},"slis":{"type":"array","items":{"type":"string"}},"error_budget_spent":{"type":"number","format":"float"},"is_false_positive":{"type":"boolean"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.SLO.MarkSLOAffectedRequest":{"type":"object","required":["incident_id","slis","error_budget_spent","owner_type","owner_id","org_id"],"properties":{"incident_id":{"type":"string"},"slis":{"type":"array","items":{"type":"string"}},"error_budget_spent":{"type":"number","format":"float"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"}}}}},"paths":{"/v3/slo/{sloID}/incident":{"post":{"operationId":"SLO_markSLOAffected","summary":"Mark SLO Affected","description":"This endpoint is used for mark slo affected.\n\nRequires `access_token` as a `Bearer {{token}}` in the `Authorization` header with `user-write` scope.","parameters":[{"name":"sloID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slo_violating_incident":{"$ref":"#/components/schemas/V3.SLO.SLOViolatingIncidentResponse"}},"required":["slo_violating_incident"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.SLO.MarkSLOAffectedRequest"}}}}}}}}
```

## Mark SLO False Positive

> Value is a boolean (true or false)

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"SLOs"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.SLO.SLOViolatingIncidentResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.SLO.SLOViolatingIncident"}]},"V3.SLO.SLOViolatingIncident":{"type":"object","required":["id","owner_type","owner_id","org_id","slo_id","incident_id","slis","error_budget_spent","is_false_positive","start_time","end_time","created_at","updated_at","deleted_at"],"properties":{"id":{"type":"integer"},"owner_type":{"type":"string"},"owner_id":{"type":"string"},"org_id":{"type":"string"},"slo_id":{"type":"integer"},"incident_id":{"type":"string"},"slis":{"type":"array","items":{"type":"string"}},"error_budget_spent":{"type":"number","format":"float"},"is_false_positive":{"type":"boolean"},"start_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"deleted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/slo/{sloID}/incident/{incidentID}/false-positive/{value}":{"patch":{"operationId":"SLO_markSLOFalsePositive","summary":"Mark SLO False Positive","description":"Value is a boolean (true or false)","parameters":[{"name":"sloID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"incidentID","in":"path","required":true,"schema":{"type":"integer"}},{"name":"value","in":"path","required":true,"schema":{"type":"boolean"}},{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slo_violating_incident":{"$ref":"#/components/schemas/V3.SLO.SLOViolatingIncidentResponse"}},"required":["slo_violating_incident"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["SLOs"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/api-reference/slos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
